#import tkinter über Tools/Manage plug-ins... -> thonny cimage Datei installieren
from tkinter import *
from PIL import ImageTk, Image
import locale

#Hier beginnt das Hauptprogramm mit der Benutzeroberfläche
fenster = Tk()
fenster.title("Rabattrechner")

#Setting it up: Laden von Grafiken
launcher = ImageTk.PhotoImage(Image.open("ic_launcher.png"))
logo = ImageTk.PhotoImage(Image.open("logo_final.png"))

#Displaying it: Anzeigen und Platzierung von Grafiken
launcherlabel = Label(fenster, image=launcher).grid(row=0, column=0)
logolabel = Label(fenster, image=logo).grid(row=11, column=2, sticky=(E)) 

#In dieser Funktion/Methode werden die Eingaben aus den Textfeldern gelesen
    #Die Funktionsaufruf von ermittle_Rabattsatz ausgeführt und das Ergebnis (Zahlungsbetrag) aufgefangen
    #Der Zahlungsbetrag wird ausgegeben (geschieben)
def berechne():
    betrag = float(tf_betrag.get())
    menge = float(tf_menge.get())
    zahlungsbetrag = ermittle_Rabattsatz(betrag,menge)
    lb_zahlungsbetrag_ausgabe.config(text=zahlungsbetrag)
    
#In dieser Funktion/Methode wird anhand der Menge der Rabattsatz ermittelt
    #Die Hilfsmethode für den Rabattbetrag liefert dazu als Zwischenergebnis den Rabattbertag
    #Der Zahlungsbetrag (betrag - rabattbetrag) wird ermittelt und wird formatiert zurückgegeben
def ermittle_Rabattsatz(betrag,menge):
    if(menge >= 150):
        rabattsatz = 12
    elif(menge >= 100):
        rabattsatz = 10        
    elif(menge >= 50):
        rabattsatz = 8
    elif(menge >= 20):
        rabattsatz = 6
    else:
        rabattsatz = 0
    rabattbetrag = ermittle_rabattbetrag(betrag,rabattsatz)
    zahlungsbetrag =  locale.format_string("%.2f",betrag - rabattbetrag,1)+" €"
    return zahlungsbetrag

#Hilfsmethode liefert ein Zwischenergebnis für den Rabattbetrag (rb = betrag/100 *rabattsatz)
#Der Rabattbetrag wird zurückgegeben
def ermittle_rabattbetrag(betrag,rabattsatz):
    rabattbetrag = betrag/100 * rabattsatz
    return rabattbetrag

def leeren():
    #Eingabewerte und Ausgabefeld leeren   
    tf_menge.delete(0,END)
    tf_betrag.delete(0,END)
    lb_zahlungsbetrag_ausgabe.config(text="")
    
def schliessen():
    #Stoppt den Main-Loop und schießt somit Fenster ordentlich
    fenster.destroy()

#### GUI/Benutzeroberfläche: Formular Gridlayout####
# Zeile 2
lb_betrag = Label(fenster, text="Betrag:")
lb_betrag.grid(row = 2, column = 1, sticky=(W))
tf_betrag = Entry(fenster)
tf_betrag.grid(row = 2, column = 2, sticky=(W))
# Zeile 3
lb_menge = Label(fenster, text="Menge:")
lb_menge.grid(row = 3, column = 1, sticky=(W))
tf_menge = Entry(fenster)
tf_menge.grid(row = 3, column = 2, sticky=(W))

# Zeile 4
lb_zahlungsbetrag = Label(fenster, text="Ergebnis:")
lb_zahlungsbetrag.grid(row = 4, column = 1, sticky=(W))
lb_zahlungsbetrag_ausgabe = Label(fenster, fg="blue", bg="yellow", relief = SUNKEN,
                           width = 17)
lb_zahlungsbetrag_ausgabe.grid(row = 4, column = 2, sticky=(W))


lb_blank1 = Label(fenster, text="")
lb_blank1.grid(row = 5, column = 1)
lb_blank2 = Label(fenster, text="")
lb_blank2.grid(row = 10, column = 1)

# Berechnungsschaltfläche
bt_berechne = Button(fenster, text="berechne",
                      command=berechne)
bt_berechne.grid(row = 8, column = 1, sticky=(W))
bt_berechne.config(height = 2, width = 20)


# Leeren der Felder
bt_leeren = Button(fenster, text="leeren",
                      command=leeren)
bt_leeren.grid(row = 8, column = 2, sticky=(W))
bt_leeren.config(height = 2, width = 20)

# Schliessen des Fensters
bt_schliessen = Button(fenster, text="schliessen",
                      command=schliessen)
bt_schliessen.grid(row = 9, column = 2, sticky=(W))
bt_schliessen.config(height = 2, width = 20)